> For the complete documentation index, see [llms.txt](https://docs.nymcard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nymcard.com/get-started/funding-and-transfers/internal-funding-source.md).

# Internal funding source

Funding enables you to load and manage funds of an individual user account. The nCore platform provides General Ledger (GL) accounts that hold the balances of the users. nCore APIs are available to manage the funds held in these accounts.

### Load funds

The user account linked to the card needs to be funded before the card can be used for the transactions. You can load funds to the user account by sending a **POST** request to the **/accounts/{id}:loadFunds** endpoint. This API call will load funds from program funding account to the user account.

<details>

<summary><a href="https://nymcard.com/docs/api#tag/Accounts/operation/loadAccountFunds">POST /accounts/{id}:loadFunds</a></summary>

**`{`**\
`    `**`"currency": "USD",`**\
`    `**`"amount": 100,`**\
`    `**`“dry_run”: false`**    \
\&#xNAN;**`}`**

</details>

### Unload funds

In order to transfer back your user account funds to your program funding account, you can send a **POST** request to the **/accounts/{id}:unloadfunds** endpoint.

<details>

<summary><a href="https://nymcard.com/docs/api#tag/Accounts/operation/unloadAccountFunds">POST /accounts/{id}:unloadFunds</a></summary>

**`{`**\
`    `**`"currency": "USD",`**\
`    `**`"amount": 100,`**\
`    `**`"dry_run”: false`**\
\&#xNAN;**`}`**

</details>

### Check balance

After loading funds into the user account, you can check your balance by sending a **GET** request to the **/accounts/{id}** endpoint.

> [**GET /accounts/{id}**](https://nymcard.com/docs/api#tag/Accounts/operation/getAccount)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nymcard.com/get-started/funding-and-transfers/internal-funding-source.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
